@echo off
rem Set to the path where your sources are living
set BASE=c:\pgp50i-b8\src
rem Set to the path where the resulting executables should be
set DIST=c:\pgp

rem WATCOM should point to the Watcom installation path

call dosbld2 C:\pgp50i-b8\src\lib\ttyui %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\utils %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\random %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\pubkey %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\pipe\utils %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\pipe\text %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\pipe\sig %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\pipe\parser %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\pipe\file %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\pipe\crypt %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\keys %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\keydb %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\helper %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\hash %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\compress %1
call dosbld2 C:\pgp50i-b8\src\lib\pgp\cipher %1
call dosbld2 C:\pgp50i-b8\src\lib\bn %1
call dosbld2 C:\pgp50i-b8\src\apps\common %1
call dosbld2 C:\pgp50i-b8\src\apps\pgpk %1
call dosbld2 C:\pgp50i-b8\src\apps\pgp %1

if not "%1" == "" goto raus
copy apps\pgp\pgp.exe %DIST%
copy apps\pgpk\pgpk.exe %DIST%
copy install.* %DIST%
copy language50.txt %DIST%\lang50.txt
copy doc\*.* %DIST%
copy %WATCOM%\binw\dos4gw.exe %DIST%
copy %WATCOM%\dos4gw.doc %DIST%
wstrip %DIST%\pgp.exe
wstrip %DIST%\pgpk.exe
:raus
